#
# spec file for package afterstp (Version 1.8.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libpng sgmltool sp sp-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         afterstp
Version:      1.8.9
Release:      53
Summary:      NeXTStep-like window manager
Copyright:	GPL
Group:		User Interface/Desktops
URL:		http://www.afterstep.org
Source:		AfterStep-%{version}.tar.gz
Patch0:         AfterStep-%{version}.dif
BuildRoot:	%{_tmppath}/buildroot-afterstp
Requires:       xterm xv asclock 3dpixm 3dpixms
Provides:       windowmanager

%description
This window manager follows the tradition of NeXTStep. The functionality
of the bowman window manager was enhanced with some configuration options.
As well, there are shadowed menus, the button-bar Wharf, animated windows,
a proper sound support, and many more features.

Authors:
--------
    Frank Fejes <frank@ssax.com>
    Dan Weeks <dan@mango.sfasu.edu>
    Jonathan B. Leffert <jonl@geom.umn.edu>
    Bo Yang <eric@coeus.ucsd.edu>
    Alfredo Kengi Kojima
    Rob Nation
    Dave Adkins
    Beat Christen
    Robert Depenbrock
    Amadeus Foudray
    Martin Scherbaum <maddin@suse.de>

SuSE series: xwm

%prep
%setup -q -n AfterStep-%{version}
%patch0 

%build
CFLAGS="$RPM_OPT_FLAGS" ; LDFLAGS=" -s " ; export CFLAGS LDFLAGS;
./configure --prefix=/usr/X11R6 \
	--datadir=%{_datadir} \
	--with-imageloader="xv -root -quit" \
	--with-helpcommand="xterm -e man" \
	--with-desktops=1 \
	--with-deskgeometry=2x3 \
	--disable-availability \
	--disable-staticlibs \
	--enable-i18n
make
if [ -x /usr/bin/sgml2html ]; then sgml2html doc/afterstep.sgml; fi

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/{sessreg,xpmroot}

%clean
find $RPM_BUILD_ROOT|sed "s#$RPM_BUILD_ROOT##"|sort > /tmp/install_file.txt
rpm -qpl %{_topdir}/RPMS/%{_arch}/*-%{release}.%{_arch}.rpm|sort > /tmp/rpm_file.txt
(diff -u /tmp/install_file.txt /tmp/rpm_file.txt > /tmp/file_diff.txt)
cat /tmp/file_diff.txt

%files
%defattr(-,root,root)
%doc ChangeLog NEW README TEAM UPGRADE doc/languages doc/licences doc/code *.html
/usr/X11R6/bin/*
/usr/X11R6/lib/*
/usr/X11R6/man/*/*
/usr/share/afterstep

%changelog -n afterstp
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Jul 11 2001 - olh@suse.de
- update to 1.8.9
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
* Thu Nov 09 2000 - schwab@suse.de
- Compile library source with -fPIC.
* Wed Nov 01 2000 - olh@suse.de
- update to 1.8.4, include patches for 1.8.6
* Fri Sep 15 2000 - adrian@suse.de
- add requires  3dpixm 3dpixms
* Fri Jun 02 2000 - olh@suse.de
- update to 1.8.0
* Mon Sep 20 1999 - ro@suse.de
- added Provides windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jan 18 1999 - ro@suse.de
- removed alpha-specifics from Imakefiles - they are not needed here
* Thu Jun 05 1997 - maddin@suse.de
- new version AfterStep 1.0, no more beta
* Tue May 20 1997 - maddin@suse.de
- moved pixmaps to package pixmaps
- libafterstep.a is now installed in /usr/X11R6/lib (was not copied before)
- corrected pixmap names in sample.steprc
* Fri May 02 1997 - maddin@suse.de
- upgraded to version 1.0pre6
- asclock separate package now, not in afterstp anymore
- introduced ExitFunction as in fvwm2 in afterstep.c
* Thu Jan 02 1997 - maddin@suse.de
  upgraded to version 1.0pre2
  wharf now does not show 3 extra buttons anymore
  using the 8bit-icons now
  asclock documentation now in /usr/doc/packages/afterstp
* Thu Jan 02 1997 - maddin@suse.de
  upgraded to version 0.98 beta 33 due to some nasty bugs e.g. in wharf
  bug in wharf: there are three more buttons displayed than configured. No way
  to get around that? beta 34?
* Thu Jan 02 1997 - maddin@suse.de
  first S.u.S.E. version 0.98 beta 32
  adopted to S.u.S.E. standards
  additionally READMEs and stuff are copied to /usr/doc/packages/afterstep
  corrected installation path name of the .tar.gz to as-0.98b32.tar.gz
